//+------------------------------------------------------------------+
//|                                                      ProjectName |
//|                                      Copyright 2020, CompanyName |
//|                                       http://www.companyname.net |
//+------------------------------------------------------------------+
#property copyright "Copyright 2025, FastInvestments Ltd."
#property link      "https://TrendRiders.pro/en"
#property version   "1.00"

#include <CFourAverage_iCustom.mqh>
static i_FourAverage ind_0;
//---
input int PeriodFA = 10;      // PeriodFA
input int Average_1 = 112;     // Average_1 
input int Average_2 = 148;    // Average_2 
input int Average_3 = 100;     // Average_3 
input int Average_4 = 146;    // Average_4 
input int Range = 31;
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
{
//---

//---
    return(INIT_SUCCEEDED);
}
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
{
//---

}
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
{
    //---
    bool recalculate = false;
    string symbol = Symbol();  
    //---
    if(!ind_0.DownloadsIndicator(recalculate, symbol, PERIOD_CURRENT, 0,
                                 //----
                                 0,
                                 PeriodFA,
                                 Average_1,
                                 Average_2,
                                 Average_3,
                                 Average_4,
                                 Range,
                                 5)) return;
    //----
    if(ind_0.Buffer1[0] > 0) Print("BUY: FA = " + string(ind_0.Buffer1[0]));
    if(ind_0.Buffer1[0] < 0) Print("SELL: FA = " + string(ind_0.Buffer1[0]));
    // if(ind_0.Buffer1[1] > 0 && ind_0.Buffer1[2] < 0 ) Print("New Up trend");
}
//+------------------------------------------------------------------+
